#include "xhbasic.h"
#include "title3.h"
#include "act1.xpm"
#include "act2.xpm"
#include "act3.xpm"

char **act_xpm[3] = {act1_xpm,act2_xpm,act3_xpm};
Pixmap apm[3] = {0,0,0};
Pixmap amask[3] = {0,0,0};

Title3::Title3(XhedgehogWin *xw,int a) :
  Sprite(xw,335,400,0,0) {
    count = 0;
    if(apm[0] == 0) {
      for(int i=0;i<3;i++) {
	xw->LoadPixmap(act_xpm[i],&(apm[i]),&(amask[i]));
      }
    }
    ChangeSpriteShape(apm[a],amask[a]);
    SetSpriteMotion(0,-30);
}

void Title3::MoveSprite(float newx,float newy) {
  if(newy <= 152) {
    SetSpriteMotion(0,0);
    count++;
    if(count >= 50) {
      SetSpriteMotion(0,-30);
    }
    else {
      newy = 152;
    }
  }
  if(newy <= -45) {
    Nuke();
  }
  Sprite::MoveSprite(newx,newy);
}

